/*  ___   ___  ___  _   _  ___   ___   ____ ___  ____  
 * / _ \ /___)/ _ \| | | |/ _ \ / _ \ / ___) _ \|    \ 
 *| |_| |___ | |_| | |_| | |_| | |_| ( (__| |_| | | | |
 * \___/(___/ \___/ \__  |\___/ \___(_)____)___/|_|_|_|
 *                  (____/ 
 * Osoyoo Wifi IoT Blynk Lesson 3
 * 
 * tutorial url: https://osoyoo.com/?p=40160
 */

#define BLYNK_PRINT Serial

#include <BlynkSimpleShieldEsp8266.h>

#include <ESP8266_Lib.h>
// You should get Auth Token in the Blynk App.
// Go to the Project Settings (nut icon).
char auth[] = "sM1i_rSJjDlQxesfuhOzrL0h9NiivJkn";//replace this with your Blynk Token

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "***";//replace *** with your wifi ssid
char pass[] = "***"; //replace *** with your wifi password
char server_ip[]="192.168.1.81"; // replace this line with your Blynk Server IP address

// Hardware Serial on Mega, Leonardo, Micro...
//#define EspSerial Serial1

// or Software Serial on Uno, Nano...
#include <SoftwareSerial.h>
SoftwareSerial EspSerial(4, 5); // E_TX to D4, E_RX to D5

// Your ESP8266 baud rate:
//#define ESP8266_BAUD 115200

ESP8266 wifi(&EspSerial);

void setup()
{
  // Debug console
  Serial.begin(9600);
 while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }
  Serial.println("start");
  // set the data rate for the SoftwareSerial port
  EspSerial.begin(115200);
  EspSerial.write("AT+UART_DEF=9600,8,1,0,0\r\n");
  EspSerial.write("AT+RST\r\n");
  delay(100);
  EspSerial.begin(9600);
  // Set ESP8266 baud rate
  //EspSerial.begin(ESP8266_BAUD);
  //delay(10);

  //Blynk.begin(auth, wifi, ssid, pass);
  // You can also specify server:
   Blynk.begin(auth, wifi, ssid, pass,server_ip,8080);
}

void loop()
{
  Blynk.run();
  // You can inject your own code or combine it with other sketches.
  // Check other examples on how to communicate with Blynk. Remember
  // to avoid delay() function!
}
